@import url('https://fonts.googleapis.com/css2?family=Cabin&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap');

.tss-footer
{
  display: flex;
  flex-direction: column;
  background-color: #2B5782;
  align-items: center;
  font-size: 16px;
}

.tss-footer-menus-and-buttons
{
  display: flex;
  flex-direction: row;
  margin-top: 2em;
  margin-bottom: 2em;
}


.tss-footer-container-of-menus
{
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

.tss-footer-container-of-menus h3, 
.tss-footer-container-of-menus h4
{
  color: #FFFFFF;
  font-family: 'Cabin', sans-serif;
  font-weight: normal;
  font-size: 1.17em;
}

.tss-footer-container-of-menus h3
{
  margin-bottom: 10px;
  margin-top: 0;
}

#supportHeading
{
  margin-top: -0.24em;
  margin-bottom: 4px;
}

.tss-footer-first-row-of-menus
{
  display: flex;
  flex-direction: row;
}

.tss-footer-second-row-of-menus
{
  display: flex;
  flex-direction: row;
}

.tss-footer-third-row-of-menus
{
  margin-top: 0;
}

.tss-footer-menu
{
  flex-direction: column;
  color: #fff;
  font-family: 'Open Sans', sans-serif;
  margin-right: 1.5em;
  margin-left: 1.5em;
}

.tss-footer-menu a, .tss-footer-menu li, .tss-footer-menu ul {
  line-height: 30px; 
  padding-left: 0;
  list-style: none !important;
  text-decoration: none;
  color: #fff;
}

.hs-menu-item
{
    list-style-type: none !important;
}

.tss-footer-menu a:hover
{
  text-decoration: underline;
  color: #fff;
}

.tss-footer-btn-containers{
  display: flex;
  flex-direction: row;
  margin-bottom: 1em;
  justify-content: center;
}

.tss-footer-btn-spacing
{
  margin-left: 2em;
}

.tss-footer-copyright
{
  display: flex;
  flex-direction: row;
  color: #FFFFFF;
  font-family: 'Open Sans', sans-serif;
  justify-content: center;
  align-content: center;
  font-size: 17px;
  margin-bottom: 20px;
}

.tss-footer-copyright-text
{
  /*font-size: .8421052631578947rem;*/
  margin-left: 10vw;
  margin-right: 2vw;
  padding-top: 0.25em;
  font-size: 16px;
}

.tss-footer-copyright-text a
{
  color: #FFFFFF;
}

.tss-footer-copyright-text p
{
  margin-bottom: 0;
}


.tss-footer-copyright-icons
{
  display: flex;
  justify-content: space-between;
  margin-left: 2em;
  align-items: flex-end;
}

.tss-footer-copyright-each-icon
{
  margin-right: 20px;
}

.tss-footer-copyright-each-icon:hover
{
  opacity: 0.5;
}

.tss-footer-custom-btn
{
  color: #FD941A !important;
  background-color: transparent !important;
  border-color: #FD941A !important;
  border-radius: 6px;
  border-width: thin;
  text-align: center;
  height: 48px;
  font-family: 'Open Sans', sans-serif;
  font-size: 16px;
  font-weight: 700;
  padding: 10px 18px;
  width: 138px;
}

.tss-footer-custom-btn:hover{
  color: #FFFFFF !important;
  transition: all .15s ease-in-out;
  animation-timing-function: ease-in-out;
  border-style: solid;
  border-color: #FD941A !important;
  text-decoration: none !important;
  background-color: #FD941A !important;
}

.tss-footer-custom-btn:hover a
{
  color: #FFFFFF;
}

.tss-footer-custom-btn a{
  text-decoration: none;
  color: #FD941A;
}

.mobile-class
{
  display: none;
}

.tss-footer-menu-margin-third-row
{
  margin-right: 0;
}


@media(min-width: 2000px)
{
  .tss-footer-container-of-menus
  {
    margin-left: 2vw
  }
}

@media(min-width: 1243px){
  .tss-footer-menu-first-item{
    margin-left: 0;
  }
}

@media(min-width: 930px) and (max-width: 1243px){
  .tss-footer-menu{
    margin-right: 0.5em;
    margin-left: 0.5em;
  }

  .tss-footer-container-of-menus{
    margin-left: 0.5em;
    margin-right: 0.5em;
  }
  
  .tss-footer-menu-last-item{
    margin-right: 0;
  }
}

/*
@media(max-width: 991px)
{
  .tss-footer-container-of-menus
  {
    margin-right: 1em;
  }
}
*/

@media (max-width: 929px)
{
  .desktop-class
  {
    display: none;
  }
  
  .mobile-class
  {
    display: flex; 
    flex-direction: column;
    justify-content: center;
    margin-left: 2em;
    margin-right: 3em;
    margin-bottom: 50px;
  }

  .tss-footer-menus-and-buttons
  {
    flex-direction: column;
    justify-content: center;
    margin-bottom: 35px;
  }

  .tss-footer-second-row-of-menus
  {
    margin-top: 35px;
    margin-bottom: 35px;
  }

  .tss-footer-third-row-of-menus
  {
    margin-top: 0;
  }

  .tss-footer-container-of-menus
  {
    flex-direction: column;
    margin-right: 0;
  }

  .tss-footer-menu-margin
  {
    margin-left: 4.5em;
    margin-right: 0;
  }

  .tss-footer-menu-margin-second-row
  {
    margin-left: 4.8em;
  }

  .tss-footer-menu-margin-third-row
  {
    margin-left: 5em;
  }
  
  .tss-footer-btn-containers{
    margin-left: -16em;
    margin-bottom: 2em;
    flex-direction: column;
  }

  .tss-footer-btn-spacing{
    margin-top: 1em;
    margin-left: 0;
  }

  .tss-footer-custom-btn
  {
    width: 138px;
  }

  .tss-footer-copyright
  {
    flex-direction: column;
    margin-bottom: 0;
  }

  .tss-footer-copyright-icons
  {
    justify-content: flex-start;
    margin-left: 1.5em;
    margin-bottom: 2em;
  }

  .tss-footer-copyright-text p 
  {
    margin: 0;
  }
}

/* WEB-362 reduce font size of footer menu on certain mobile screens. */
@media (max-width: 415px)
{
  .tss-footer
  {
    font-size: 14px;
  }
}

@media (max-width: 400px){
  .tss-footer-copyright-icons {
    margin-left: 1em;
  }
  
  .tss-footer-copyright-text{
    margin-left: 1em;
  }
  
  .tss-footer-btn-containers {
    margin-left: -15em;
  }

}

@media (max-width: 360px){
  .tss-footer-copyright-icons {
    margin-left: 1em;
  }

  .tss-footer-copyright-text
  {
    margin-left: 1em;
  }

  .tss-footer-btn-containers {
    margin-left: -14em;
  }
}


@media (max-width: 320px){
  .tss-footer-menu
  {
    margin-right: 0;
  }

  .tss-footer-menu-margin-second-row
  {
    margin-left: 4em;
  }
}